import { Column, Entity, PrimaryColumn } from "typeorm";

@Entity()
export class vehicle {
  @PrimaryColumn({ generated: "uuid" })
  id: string;

  @Column({ type: "varchar", length: 255, nullable: true, default: null })
  code?: string;

  @Column({ type: "varchar", length: 255, nullable: true, default: null })
  type?: string;

  @Column({ type: "varchar", length: 255, unique: true })
  name: string;

  @Column({ type: "date", default: "CURRENT_TIMESTAMP" })
  commissioned: Date;

  @Column({ type: "date", nullable: true, default: null })
  decommissioned?: Date;

  @Column({ type: "boolean", default: false })
  external: boolean;
}
