import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { mission } from "./mission";

@Entity()
export class mission_contact {
  @PrimaryColumn({ type: "varchar", length: 36 })
  missionId: string;

  @PrimaryColumn({ type: "varchar", length: 36 })
  contactId: string;

  @Column({ type: "varchar", length: 255, default: "" })
  firstname: string;

  @Column({ type: "varchar", length: 255, default: "" })
  lastname: string;

  @Column({ type: "varchar", length: 255, default: "" })
  phone: string;

  @Column({ type: "varchar", length: 255, default: "" })
  address: string;

  @Column({ type: "varchar", length: 255, default: "" })
  note: string;

  @ManyToOne(() => mission, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  mission: mission;
}
