import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { mission } from "./mission";
import { equipment } from "../configuration/equipment";

@Entity()
export class mission_equipment {
  @PrimaryColumn({ type: "varchar", length: 36 })
  missionId: string;

  @PrimaryColumn({ type: "varchar", length: 36 })
  equipmentId: string;

  @Column({ type: "varchar", length: 255, default: "" })
  note: string;

  @ManyToOne(() => mission, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  mission: mission;

  @ManyToOne(() => equipment, {
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
  })
  equipment: equipment;
}
