import { Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { force } from "../configuration/force";
import { mission } from "./mission";

@Entity()
export class mission_presence {
  @PrimaryColumn({ type: "varchar", length: 36 })
  missionId: string;

  @PrimaryColumn({ type: "varchar", length: 36 })
  forceId: string;

  @ManyToOne(() => mission, {
    nullable: false,
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  mission: mission;

  @ManyToOne(() => force, {
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
  })
  force: force;
}
