import { Column, Entity, ManyToOne, PrimaryColumn } from "typeorm";
import { force } from "../configuration/force";
import { mission } from "./mission";
import { vehicle } from "../configuration/vehicle";

@Entity()
export class mission_vehicle {
  @PrimaryColumn({ type: "varchar", length: 36 })
  missionId: string;

  @PrimaryColumn({ type: "varchar", length: 36 })
  vehicleId: string;

  @Column({ type: "varchar", length: 36, nullable: true })
  driverId?: string | null;

  @Column({ type: "varchar", length: 36, nullable: true })
  leaderId?: string | null;

  @Column({ type: "int", nullable: true, default: null })
  mileage_start?: number | null;

  @Column({ type: "int", nullable: true, default: null })
  mileage_end?: number | null;

  @ManyToOne(() => mission, {
    onDelete: "CASCADE",
    onUpdate: "RESTRICT",
  })
  mission: mission;

  @ManyToOne(() => vehicle, {
    nullable: false,
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
  })
  vehicle: vehicle;

  @ManyToOne(() => force, {
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
  })
  driver: force;

  @ManyToOne(() => force, {
    onDelete: "RESTRICT",
    onUpdate: "RESTRICT",
  })
  leader: force;
}
