import { force } from "../../../entity/configuration/force";
import { ForceViewModel } from "../../../viewmodel/admin/configuration/force.models";

export default abstract class ForceFactory {
  /**
   * @description map record to force
   * @param {force} record
   * @returns {ForceViewModel}
   */
  public static mapToSingle(record: force): ForceViewModel {
    return {
      id: record.id,
      internalId: record.internalId,
      firstname: record.firstname,
      lastname: record.lastname,
      nameaffix: record.nameaffix,
      commissioned: record.commissioned,
      decommissioned: record.decommissioned,
    };
  }

  /**
   * @description map records to force
   * @param {Array<force>} records
   * @returns {Array<ForceViewModel>}
   */
  public static mapToBase(records: Array<force>): Array<ForceViewModel> {
    return records.map((r) => this.mapToSingle(r));
  }
}
