import { mission } from "../../../entity/operation/mission";
import { MissionShortViewModel } from "../../../viewmodel/admin/operation/mission.models";

export default abstract class MissionFactory {
  /**
   * @description map record to mission
   * @param {mission} record
   * @returns {MissionShortViewModel}
   */
  public static mapToSingleShort(record: mission): MissionShortViewModel {
    return {
      id: record.id,
      title: record.title,
      keyword: record.keyword,
      createdAt: record.createdAt,
    };
  }

  /**
   * @description map records to mission
   * @param {Array<mission>} records
   * @returns {Array<MissionShortViewModel>}
   */
  public static mapToBaseShort(records: Array<mission>): Array<MissionShortViewModel> {
    return records.map((r) => this.mapToSingleShort(r));
  }
}
