import { MigrationInterface, QueryRunner } from "typeorm";
import {
  invite_table,
  refresh_table,
  reset_table,
  role_permission_table,
  role_table,
  user_permission_table,
  user_roles_table,
  user_table,
} from "./baseSchemaTables/admin";
import { equipment_table, force_table, vehicle_table } from "./baseSchemaTables/configuration";
import {
  mission_contact_table,
  mission_equipment_table,
  mission_presence_table,
  mission_table,
  mission_vehicle_table,
} from "./baseSchemaTables/operation";

export class CreateSchema1739697068682 implements MigrationInterface {
  name = "CreateSchema1739697068682";

  public async up(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.createTable(reset_table, true, true, true);
    await queryRunner.createTable(invite_table, true, true, true);
    await queryRunner.createTable(role_table, true, true, true);
    await queryRunner.createTable(role_permission_table, true, true, true);
    await queryRunner.createTable(user_table, true, true, true);
    await queryRunner.createTable(user_roles_table, true, true, true);
    await queryRunner.createTable(user_permission_table, true, true, true);
    await queryRunner.createTable(refresh_table, true, true, true);

    await queryRunner.createTable(force_table, true, true, true);
    await queryRunner.createTable(equipment_table, true, true, true);
    await queryRunner.createTable(vehicle_table, true, true, true);

    await queryRunner.createTable(mission_table, true, true, true);
    await queryRunner.createTable(mission_presence_table, true, true, true);
    await queryRunner.createTable(mission_vehicle_table, true, true, true);
    await queryRunner.createTable(mission_equipment_table, true, true, true);
    await queryRunner.createTable(mission_contact_table, true, true, true);
  }

  public async down(queryRunner: QueryRunner): Promise<void> {
    await queryRunner.dropTable("mission_contact", true, true, true);
    await queryRunner.dropTable("mission_equipment", true, true, true);
    await queryRunner.dropTable("mission_vehicle", true, true, true);
    await queryRunner.dropTable("mission_presence", true, true, true);
    await queryRunner.dropTable("mission", true, true, true);

    await queryRunner.dropTable("vehicle", true, true, true);
    await queryRunner.dropTable("equipment", true, true, true);
    await queryRunner.dropTable("force", true, true, true);

    await queryRunner.dropTable("refresh", true, true, true);
    await queryRunner.dropTable("user_permission", true, true, true);
    await queryRunner.dropTable("user_roles", true, true, true);
    await queryRunner.dropTable("user", true, true, true);
    await queryRunner.dropTable("role_permission", true, true, true);
    await queryRunner.dropTable("role", true, true, true);
    await queryRunner.dropTable("invite", true, true, true);
    await queryRunner.dropTable("reset", true, true, true);
  }
}
