import { Table } from "typeorm";
import { getDefaultByORM, getTypeByORM, isUUIDPrimary } from "../ormHelper";

export const force_table = new Table({
  name: "force",
  columns: [
    { name: "id", ...getTypeByORM("uuid"), ...isUUIDPrimary },
    { name: "internalId", ...getTypeByORM("varchar", true), default: getDefaultByORM("null"), isUnique: true },
    { name: "firstname", ...getTypeByORM("varchar") },
    { name: "lastname", ...getTypeByORM("varchar") },
    { name: "nameaffix", ...getTypeByORM("varchar") },
    { name: "commissioned", ...getTypeByORM("date"), default: getDefaultByORM("currentDate") },
    { name: "decommissioned", ...getTypeByORM("date", true), default: getDefaultByORM("null") },
    { name: "external", ...getTypeByORM("boolean"), default: getDefaultByORM("boolean", false) },
  ],
});

export const equipment_table = new Table({
  name: "equipment",
  columns: [
    { name: "id", ...getTypeByORM("uuid"), ...isUUIDPrimary },
    { name: "code", ...getTypeByORM("varchar", true), default: getDefaultByORM("null"), isUnique: true },
    { name: "type", ...getTypeByORM("varchar", true), default: getDefaultByORM("null") },
    { name: "name", ...getTypeByORM("varchar"), isUnique: true },
    { name: "commissioned", ...getTypeByORM("date"), default: getDefaultByORM("currentDate") },
    { name: "decommissioned", ...getTypeByORM("date", true), default: getDefaultByORM("null") },
    { name: "external", ...getTypeByORM("boolean"), default: getDefaultByORM("boolean", false) },
  ],
});

export const vehicle_table = new Table({
  name: "vehicle",
  columns: [
    { name: "id", ...getTypeByORM("uuid"), ...isUUIDPrimary },
    { name: "code", ...getTypeByORM("varchar", true), default: getDefaultByORM("null"), isUnique: true },
    { name: "type", ...getTypeByORM("varchar", true), default: getDefaultByORM("null") },
    { name: "name", ...getTypeByORM("varchar"), isUnique: true },
    { name: "commissioned", ...getTypeByORM("date"), default: getDefaultByORM("currentDate") },
    { name: "decommissioned", ...getTypeByORM("date", true), default: getDefaultByORM("null") },
    { name: "external", ...getTypeByORM("boolean"), default: getDefaultByORM("boolean", false) },
  ],
});
