import { Event, Socket } from "socket.io";
import { SocketMap } from "../../storage/socketMap";
import UnauthorizedRequestException from "../../exceptions/unauthorizedRequestException";

export default async (socket: Socket, [event, ...args]: Event, next: any) => {
  if (SocketMap.exists(socket.id)) {
    next();
  } else {
    next(new UnauthorizedRequestException("not authorized for connection"));
  }
};
